%global pypi_name PyGithub
%global with_python3 1

Name:           python-%{pypi_name}
Version:        1.14.2
Release:        2%{?dist}
Summary:        Python library to work with the Github API

Group:          Development/Languages
License:        LGPLv3+
URL:            http://vincent-jacques.net/%{pypi_name}
Source:         http://pypi.python.org/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

Obsoletes:      python-github < 1.11.1-4
Provides:       python-github

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3

%description
A Python library implementing the full Github API v3.

%if 0%{?with_python3}
%package -n     python3-github
Summary:        Python library to work with the Github API
Group:          Development/Languages

Obsoletes:      python3-github < 1.11.1-4
Provides:       python3-github

%description -n python3-github
A Python library implementing the full Github API v3.
%endif # with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
# this test needs network connection => kill it for Koji builds
sed -i '/from Issue142 import \*/d' github/tests/AllTests.py

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python} setup.py build
# don't keep these files in the library itself in RPM package
mv build/lib/github/COPYING .
mv build/lib/github/COPYING.LESSER .

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
mv build/lib/github/COPYING .
mv build/lib/github/COPYING.LESSER .
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc COPYING COPYING.LESSER README.rst
%{python_sitelib}/*
%exclude %{python_sitelib}/github/tests

%if 0%{?with_python3}
%files -n python3-github
%doc COPYING COPYING.LESSER README.rst
%{python3_sitelib}/*
%exclude %{python3_sitelib}/github/tests
%endif

%changelog
* Thu May 02 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.14.2-2
- Don't run test needing internet connection (fails in Koji).

* Thu May 02 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.14.2-1
- Renamed to python-PyGithub (the previous name wasn't formed according
to Fedora naming guidelines).
- Updated to 1.14.2.

* Tue Mar 19 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.11.1-3
- Specfile cleanup.
- Introduce python3 subpackage.

* Wed Feb 20 2013 Jiri Moskovcak <jmoskovc@redhat.com> - 1.11.1-2
- updated according to the review rhbz#910565 c#4

* Tue Feb 12 2013 Jiri Moskovcak <jmoskovc@redhat.com> - 1.11.1-1
- updated to the latest upstream

* Sun Feb 03 2013 Jiri Moskovcak <jmoskovc@redhat.com> - 1.10.0-1
- Initial package
